/* =====================================
   HERO
===================================== */


.hero{

    position:relative;

    min-height:100vh;

    display:flex;

    align-items:center;

    justify-content:center;

    overflow:hidden;

    background:
    url("../images/3.jpg")
    center/cover repeat;

}


.hero-content{

    position:relative;

    z-index:2;

    width:min(900px,90%);

    text-align:center;

}


.overlay{

    position:absolute;

    inset:0;

}


.view-btn{

    position:absolute;

    bottom:70px;

    left:50%;

    transform:translateX(-50%);

}



.scroll-indicator{

    position:absolute;

    bottom:25px;

    left:50%;

    transform:translateX(-50%);

}





/* =====================================
   WELCOME
===================================== */


.welcome{

    padding:120px 20px;

    background:#fffaf4;

}


.welcome-container{

    width:min(1100px,100%);

    margin:auto;

    text-align:center;

}


.verses{

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:30px;

    margin-top:70px;

}



.couple-grid{

    margin-top:80px;

    display:grid;

    grid-template-columns:repeat(2,1fr);

    gap:40px;

}

/*=====================================
    MEMORY SECTION
======================================*/

.memory-section{

    max-width:900px;

    margin:130px auto 0;

    text-align:center;

}


/* fotografia */

.memory-photo-wrapper{

    position:relative;

    width:min(90%,650px);

    height:650px;

    margin:auto;

    overflow:hidden;

    border-radius:

        90px
        90px
        24px
        24px;


    background:#eee;

    box-shadow:

        0 35px 70px rgba(0,0,0,.12);

}


.memory-photo-wrapper::before{

    content:"";

    position:absolute;

    inset:0;

    background:

        linear-gradient(

            to top,

            rgba(0,0,0,.45),

            rgba(0,0,0,.08),

            transparent

        );

    z-index:1;

}


.memory-photo{

    width:100%;

    height:100%;

    object-fit:cover;

    transition:

        transform .8s ease;

}


.memory-photo-wrapper:hover .memory-photo{

    transform:scale(1.08);

}


/* conteúdo */

.memory-content{

    margin-top:55px;

}


.memory-badge{

    display:inline-flex;

    align-items:center;

    justify-content:center;

    gap:10px;

    padding:12px 26px;

    border-radius:50px;

    background:#FFF8EC;

    color:#C9A56A;

    font-size:14px;

    letter-spacing:3px;

    text-transform:uppercase;

}


.memory-content h3{

    margin:35px auto;

    max-width:700px;

    font-family:

        "Cormorant Garamond",

        serif;

    font-size:54px;

    font-weight:500;

    line-height:1.2;

    color:#172033;

}


.memory-content p{

    max-width:680px;

    margin:auto;

    font-size:22px;

    line-height:1.9;

    color:#667085;

}
